Bug 197637 - WTF::BitVector should have an isEmpty() method
Summary: WTF::BitVector should have an isEmpty() method
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robin Morisset
URL:
Keywords: InRadar
Depends on:
Blocks: 197857
  Show dependency treegraph
 
Reported: 2019-05-06 16:40 PDT by Robin Morisset
Modified: 2019-05-13 15:47 PDT (History)
11 users (show)

See Also:


Attachments
Patch (4.77 KB, patch)
2019-05-06 16:43 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews214 for win-future (13.45 MB, application/zip)
2019-05-06 20:13 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Morisset 2019-05-06 16:40:22 PDT
The register allocator in Air repeatedly calls bitCount() on BitVectors only to compare with 0.
It would be cleaner to have isEmpty(), and it is probably also a tad faster (although not measurably so out of microbenchmarks).
Comment 1 Robin Morisset 2019-05-06 16:43:25 PDT
Created attachment 369202 [details]
Patch
Comment 2 Build Bot 2019-05-06 20:13:10 PDT
Comment on attachment 369202 [details]
Patch

Attachment 369202 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12118631

New failing tests:
security/contentSecurityPolicy/video-with-file-url-allowed-by-media-src-star.html
Comment 3 Build Bot 2019-05-06 20:13:12 PDT
Created attachment 369222 [details]
Archive of layout-test-results from ews214 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews214  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 4 Keith Miller 2019-05-06 20:37:05 PDT
Comment on attachment 369202 [details]
Patch

r=me.
Comment 5 Robin Morisset 2019-05-07 12:30:22 PDT
Comment on attachment 369202 [details]
Patch

The windows test failure also appears without my patch so it looks like usual brokenness of the windows build.
Comment 6 WebKit Commit Bot 2019-05-07 13:46:50 PDT
Comment on attachment 369202 [details]
Patch

Clearing flags on attachment: 369202

Committed r245030: <https://trac.webkit.org/changeset/245030>
Comment 7 WebKit Commit Bot 2019-05-07 13:46:51 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-05-07 13:47:29 PDT
<rdar://problem/50553781>